Bug 120814 - OpenOffice.org will not compile because of LD_ASSUME_KERNEL
OpenOffice.org will not compile because of LD_ASSUME_KERNEL
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-14 00:11 EDT by John Rimell
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: 1.1.2-10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-08 05:23:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Rimell 2004-04-14 00:11:18 EDT
Description of problem:

ooo-build-1.1.52/bin/build-ooo   contains the command...
--------------------------------------------------
# Many Java's can't cope with the NPTL on Linux.
export LD_ASSUME_KERNEL="2.2.5";
--------------------------------------------------

I have glibc-2.3.3 installed with gcc-3.3.3 and everything else
compiled against this and this LD_ASSUME_KERNEL command breaks gcc
(and a lot of other things!)

It results in the following errors during build
--------------------------------------------------------
Shell: \'/bin/tcsh\'
Gcc:
gcc: error while loading shared libraries: libc.so.6: cannot open
shared object
file: No such file or directory
Bootstrapping
/bin/tcsh: error while loading shared libraries: libcrypt.so.1: cannot
open shared object file: No such file or directory
/bin/tcsh: error while loading shared libraries: libcrypt.so.1: cannot
open shared object file: No such file or directory
/bin/tcsh: error while loading shared libraries: libcrypt.so.1: cannot
open shared object file: No such file or directory

---------------------------------------------------------- 

Version-Release number of selected component (if applicable):

glibc-2.3.3 
gcc-3.3.3 
openoffice.org-1.1.1-2.src.rpm


I was able to work around the problem by adding a patch to comment out
this command to the end of the redhat-fixes.patch
Comment 1 Dan Williams 2004-09-25 16:47:46 EDT
Why does this only happen on your machine?  I've never experienced it
and neither have any fo the build machines... (not saying its not a
bug, just that I've never had a problem and I've used the same glibc
int he past)
Comment 2 Caolan McNamara 2004-11-02 14:45:15 EST
caolanm->John Rimell: Does this problem persist with a contemporary
openoffice.org ?, e.g. 1.1.2-10
Comment 3 John Rimell 2004-11-02 19:19:42 EST
Haven't tried it for a long time. I'm on new x86_64 hardware now, but
I'll try it.
Comment 4 Caolan McNamara 2004-11-08 05:22:46 EST
Looking at the src ooo-build now only EXPORTS LD_ASSUME_KERNEL if JAVA
is enabled, and we disable java in our builds so rpmbuild
openoffice.spec doesn't set this var anymore.

Note You need to log in before you can comment on or make changes to this bug.